Subject: Re: [iproute PATCH v2 4/6] ipaddress: fix ipaddr_flush for Linux >= 3.1

From: Sergei Shtylyov <[email-masked]>
Date: Mon, 9 Nov 2015 21:51:34 +0300

Hello.

On 11/08/2015 11:22 PM, Phil Sutter wrote:

> Linux version 3.1 introduced a consistency check for netlink dumps in
> commit 670dc28 ("netlink: advertise incomplete dumps"). This bites

    The scripts/checkpatch.pl now enforces 12-digit commit ID...

> iproute2 when flushing more addresses than can fit into a single
> RTM_GETADDR response. To silence the spurious error message "Dump was
> interrupted and may be inconsistent.", advise rtnl_dump_filter_l() to
> not care about NLM_F_DUMP_INTR.
>
> Signed-off-by: Phil Sutter <[email-masked]>

MBR, Sergei